błąd z libz.so.1 na android studio [duplikat]

7

Po raz pierwszy otwieram projekt w studio na Androida, a pierwszy otrzymany błąd to:

Execution failed for task ':app:mergeDebugResources'.
Error: Failed to run command:
/home/giacomotb/Programs/android-studio/sdk/build-tools/android-4.4/aapt s -i /home/giacomotb/AndroidStudioProjects/ProvaDBCinema/app/build/exploded-bundles/ComAndroidSupportAppcompatV71900.aar/res/drawable-hdpi/abc_list_selector_disabled_holo_light.9.png -o /home/giacomotb/AndroidStudioProjects/ProvaDBCinema/app/build/res/all/debug/drawable-hdpi/abc_list_selector_disabled_holo_light.9.png
**Error Code:127**
Output:
/home/giacomotb/Programs/android-studio/sdk/build-tools/android-4.4/aapt: error while loading shared libraries: **libz.so.1: cannot open shared object file: No such file or directory**

Próbowałem wykonać następujące polecenia:

apt-get install lib32ncurses5 lib32stdc++6

idzie dobrze, a ten:

sudo apt-get update
sudo apt-get install ia32-libs

które mówi:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package ia32-libs is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  lib32z1 lib32ncurses5 lib32bz2-1.0

E: Package 'ia32-libs' has no installation candidate

Nie mogę znaleźć innego rozwiązania w sieci.

co mam zrobić?

Używam Ubuntu 13.10 x64

    
zadawane giacomotb 27.12.2013, 19:50
źródło

2 odpowiedzi

27

Używaj lib32z1 - pracowałeś dla mnie (Ubuntu 13.10).

sudo apt-get install lib32z1
    
odpowiedział Vinux7 04.04.2014, 22:15
źródło
4

Miałem ten sam problem. Zainstalowałem kilka pakietów, ale wydawało się, że to naprawiłem

sudo apt-get install libc6-i386 lib32stdc++6 lib32gcc1 lib32ncurses5
    
odpowiedział theczechsensation 29.12.2013, 03:37
źródło

Przeczytaj inne pytania na temat tagów